org.apache.storm.metric.cgroup

## Class CGroupMetricsBase<T>

- java.lang.Object
- - org.apache.storm.metric.cgroup.CGroupMetricsBase<T>

- All Implemented Interfaces:
    IMetric
  Direct Known Subclasses:
    CGroupCpu, CGroupCpuGuarantee, CGroupCpuGuaranteeByCfsQuota, CGroupMemoryLimit, CGroupMemoryUsage

  Deprecated.

      @Deprecated
      public abstract class CGroupMetricsBase<T>
      extends Object
      implements IMetric

  Base class for checking if CGroups are enabled, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CGroupMetricsBase(Map<String,Object> conf, SubSystemType type)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `getDataFrom(CgroupCore core)` Deprecated.
    `Object` | `getValueAndReset()` Deprecated. Get value and reset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CGroupMetricsBase

          public CGroupMetricsBase(Map<String,Object> conf,
                                   SubSystemType type)

      Deprecated.

  - ### Method Detail

    - #### getValueAndReset

          public Object getValueAndReset()

      Deprecated.
      Description copied from interface: `IMetric`

      Get value and reset.

      Specified by:
        `getValueAndReset` in interface `IMetric`
      Returns:
        an object that will be sent sent to `IMetricsConsumer#handleDataPoints(org.apache.storm.metric.api.IMetricsConsumer .TaskInfo, java.util.Collection)`. If null is returned nothing will be sent. If this value can be reset, like with a counter, a side effect of calling this should be that the value is reset.

    - #### getDataFrom

          public abstract T getDataFrom(CgroupCore core)
                                 throws Exception

      Deprecated.
      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.